#include "FtpViewNavigationWidgetFactory.h"
#include "FtpExplorerSideBar.h"

#include <QUrl>
#include <coreplugin/icore.h>

Core::NavigationView FtpViewNavigationWidgetFactory::createWidget()
{
    Core::NavigationView view;
    view.widget = new FtpExplorerSideBar;
    return view;
}

QString FtpViewNavigationWidgetFactory::displayName() const
{
	return "Ftp View";
}

int FtpViewNavigationWidgetFactory::priority() const
{
	return 0;
}

QString FtpViewNavigationWidgetFactory::id() const
{
	return "Ftp View";
}

void FtpViewNavigationWidgetFactory::saveSettings(int position, QWidget *widget)
{
    FtpExplorerSideBar* ftpExp = qobject_cast<FtpExplorerSideBar*>(widget);
	if(!ftpExp)
		return;
	QSettings *settings = Core::ICore::instance()->settings();
	settings->setValue("FtpView.URL", ftpExp->url().toString());
}

void FtpViewNavigationWidgetFactory::restoreSettings(int position, QWidget *widget)
{
	FtpExplorerSideBar* ftpExp = qobject_cast<FtpExplorerSideBar*>(widget);
	if(!ftpExp)
		return;
	QSettings *settings = Core::ICore::instance()->settings();
	QString urlStr = settings->value("FtpView.URL").toString();
	ftpExp->setUrl( QUrl(urlStr) );
}
